> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pawapay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Provider Availability

Providers sometimes have instability in processing payments.
Read more about [MMO Stability](/v2/docs/what_to_know#mmo-stability).

Our 24/7 payment operations team constantly monitors all the providers available on our platform for any degraded performance or downtime.
From this endpoint you can get the current processing status of each provider.
This endpoint returns all providers grouped by country.
Each operation type (`DEPOSIT`, `PAYOUT`, `REFUND`) has a separate status.

Following statuses are possible for different operations:

| Status        | Description                                                                                                                                    |
| ------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| `OPERATIONAL` | The provider is operational and open for processing requests.                                                                                  |
| `DELAYED`     | The provider is having problems processing payouts. **Payouts are being enqueued** and will be processed once the problems have been resolved. |
| `CLOSED`      | The provider is having problems and all requests are being **rejected** by PawaPay.                                                            |


## OpenAPI

````yaml openapi_v2 get /v2/availability
openapi: 3.0.0
info:
  title: PawaPay Merchant API V2
  description: Please find complete documentation from https://docs.pawapay.io/.
  version: v2
  x-logo:
    url: >-
      https://global-uploads.webflow.com/62824591015aa314fd308df1/6411b26596e3de3f52551c00_Logopawapay-p-500.png
    href: https://docs.pawapay.io/
    altText: PawaPay logo
servers:
  - url: https://api.sandbox.pawapay.io
    description: PawaPay Merchant API sandbox
  - url: https://api.pawapay.io
    description: PawaPay Merchant API production
security:
  - bearerAuth: []
tags:
  - name: deposits
    x-displayName: Deposits
  - name: split-payments
    x-displayName: Split Payments
  - name: checkouts
    x-displayName: Checkouts
  - name: payouts
    x-displayName: Payouts
  - name: refunds
    x-displayName: Refunds
  - name: remittances
    x-displayName: Remittances
  - name: payment-page
    x-displayName: Payment Page
  - name: toolkit
    x-displayName: Toolkit
  - name: finances
    x-displayName: Finances
paths:
  /v2/availability:
    get:
      tags:
        - toolkit
      summary: Provider Availability
      operationId: availability
      parameters:
        - name: country
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/Country'
        - name: operationType
          in: query
          description: >
            The operation for which you want to get provider availabiity
            information for.
          required: false
          schema:
            type: string
            enum:
              - DEPOSIT
              - PAYOUT
              - REFUND
              - REMITTANCE
      responses:
        '200':
          description: If a request has been processed by PawaPay successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewaysAvailabilityStatusResult'
              examples:
                Success:
                  value:
                    - country: GHA
                      providers:
                        - provider: VODAFONE_GHA
                          operationTypes:
                            - operationType: DEPOSIT
                              status: OPERATIONAL
                            - operationType: PAYOUT
                              status: DELAYED
                            - operationType: REMITTANCE
                              status: OPERATIONAL
                        - provider: MTN_MOMO_GHA
                          operationTypes:
                            - operationType: DEPOSIT
                              status: OPERATIONAL
                            - operationType: PAYOUT
                              status: OPERATIONAL
                            - operationType: REMITTANCE
                              status: OPERATIONAL
                        - provider: AIRTELTIGO_GHA
                          operationTypes:
                            - operationType: DEPOSIT
                              status: CLOSED
                            - operationType: PAYOUT
                              status: DELAYED
                            - operationType: REMITTANCE
                              status: OPERATIONAL
                    - country: ZMB
                      providers:
                        - provider: MTN_MOMO_ZMB
                          operationTypes:
                            - operationType: DEPOSIT
                              status: CLOSED
                            - operationType: PAYOUT
                              status: OPERATIONAL
                        - provider: AIRTEL_OAPI_ZMB
                          operationTypes:
                            - operationType: DEPOSIT
                              status: OPERATIONAL
                            - operationType: PAYOUT
                              status: DELAYED
        '500':
          description: An unknown failure has occurred.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/UnknownFailureResponse'
              examples:
                UNKNOWN_ERROR:
                  value:
                    failureReason:
                      failureCode: UNKNOWN_ERROR
                      failureMessage: Unable to process request due to an unknown problem.
components:
  schemas:
    Country:
      type: string
      minLength: 3
      maxLength: 3
      description: >
        The country in which the payment was initiated.


        Format is ISO 3166-1 alpha-3, three character country code in upper
        case. Read more from
        [Wikipedia](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3#Officially_assigned_code_elements).
      example: ZMB
    GatewaysAvailabilityStatusResult:
      type: array
      items:
        $ref: '#/components/schemas/GatewayAvailabilityStatusResult'
    UnknownFailureResponse:
      required:
        - failureCode
        - failureMessage
      type: object
      properties:
        failureReason:
          type: object
          properties:
            failureCode:
              type: string
              description: >
                Reason for the failure:

                * `UNKNOWN_ERROR` - Unable to process request due to an unknown
                problem.
              example: UNKNOWN_ERROR
            failureMessage:
              type: string
              description: A description of the failure
              example: Unable to process request due to an unknown problem.
    GatewayAvailabilityStatusResult:
      required:
        - country
        - providers
      type: object
      properties:
        country:
          $ref: '#/components/schemas/Country'
        providers:
          type: array
          items:
            $ref: '#/components/schemas/GatewayAvailabilityProviderResult'
    GatewayAvailabilityProviderResult:
      required:
        - provider
        - operationTypes
      type: object
      properties:
        provider:
          $ref: '#/components/schemas/Provider'
        operationTypes:
          type: array
          items:
            $ref: '#/components/schemas/GatewayAvailabilityOperationTypeResult'
    Provider:
      type: string
      description: >
        The provider represents the mobile money operator or processor that can
        process payments.


        Find here a list of all the supported [providers](/v2/docs/providers). 


        The [active
        configuration](/v2/api-reference/toolkit/active-configuration) endpoint
        provides the list of provider configured for your account.


        You can use the [predict
        provider](/v2/api-reference/toolkit/predict-provider) enpoint to predict
        the provider to use based on the phone number (MSISDN).
      example: MTN_MOMO_ZMB
    GatewayAvailabilityOperationTypeResult:
      required:
        - operationType
        - status
      type: object
      properties:
        operationType:
          $ref: '#/components/schemas/GatewayAvailabilityOperationType'
        status:
          $ref: '#/components/schemas/GatewayAvailabilityStatus'
    GatewayAvailabilityOperationType:
      type: string
      description: |
        The type of operation for which the availability status applies.  
        * `PAYOUT` -  Relates to payout transactions.
        * `DEPOSIT` - Relates to deposit transactions.
        * `REMITTANCE` -  Relates to remittance transactions.
        * `REFUND` - Related to refund transaction.
      enum:
        - DEPOSIT
        - PAYOUT
        - REMITTANCE
        - REFUND
    GatewayAvailabilityStatus:
      type: string
      description: >
        Possible operation statuses for providers and their operation types: 

        * `OPERATIONAL` -  The provider is operational and open for processing
        requests.

        * `DELAYED` - The provider is having problems processing payouts. Our
        payment operations team is currently monitoring the provider. Payouts
        are being enqueued and will be processed once the problems have been
        resolved.  

        * `CLOSED` - The provider is having problems and all requests are being
        rejected by PawaPay.
      enum:
        - OPERATIONAL
        - DELAYED
        - CLOSED
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        See
        [Authentication](/v2/docs/how_to_start#how-to-authenticate-calls-to-the-merchant-api).
      scheme: bearer
      bearerFormat: JWT

````